#!/bin/sh

# Mount external usb storage

MOUNTDIR="/media/usb"

# Only trigger for /dev/sd*
var=$(echo ${MDEV} | grep -E 'sd[a-z][1-9]+')
usb_part=$(echo $var | grep -o '[1-9]')

# if null or empty, use default value (5)
usb_part=${usb_part:-5}

if [ -n "$var" ]; then
    MOUNTPOINTS="USB_X60."
else
    MOUNTPOINTS="SD_X50"
fi

if [ -z "${ACTION}" ]; then
    ACTION="add"
fi

case "${ACTION}" in
    remove)

        mountpoint=$(mount | grep /dev/${MDEV} | cut -f3 -d" ")
        umount -fl /dev/${MDEV}
        rm -rf ${mountpoint}

        ;;
    add)
            mountpoint="${MOUNTPOINTS}"
            # check for usb storage, only primary partitions allowed
            if [  $usb_part -gt 4 ]; then
                exit 1
            fi
			
			# get list of free mountpoints
			# Possible: USB_X60.[1-4]
			usbmounts="USB_X60.1 USB_X60.2 USB_X60.3 USB_X60.4"
			for i in $(mount|grep USB_X60.|cut -f3 -d' '|cut -f4 -d'/')
			do
				usbmounts=$(echo $usbmounts | sed 's/'$i'//')
			done
			# get first free mountpoint
			mountpoint=$(echo $usbmounts|cut -f1 -d' ')

			if [ -n "$mountpoint" ]; then
				# safety check to prevent mounting over already mounted
				if [ ! -d ${MOUNTDIR}/${mountpoint} ]; then
					mkdir -p ${MOUNTDIR}/${mountpoint}
				fi
				mount -o sync /dev/${MDEV} ${MOUNTDIR}/${mountpoint}
			fi
        ;;
    *)
        exit 1
esac


exit $?

